Comment obtenir la dernière version de GIMP?

58

Je comprends qu’il existe une nouvelle version de GIMP, bien qu’il semble que la seule façon de le faire soit de compiler à partir de la source: P

Y a-t-il une autre façon de l'obtenir, ou si je dois compiler, puis-je le faire via le terminal ou mieux encore? une interface graphique?

    
posée JASAXBY 08.05.2012 - 22:03
la source

10 réponses

95

Ubuntu 12.04 LTS, 14.04 LTS, 16.04 LTS, 17.10, 18.04 LTS

Vous pouvez le faire via le terminal:

  1. Désinstaller GIMP

    sudo apt-get autoremove gimp gimp-plugin-registry
    
  2. Ajoutez le PPA suivant

    sudo add-apt-repository ppa:otto-kesselgulasch/gimp
    sudo apt-get update
    
  3. Réinstallez le dernier GIMP

    sudo apt-get install gimp
    
réponse donnée Bastian Gruber 08.05.2012 - 22:08
la source
11

Versions Ubuntu antérieures à 12.04

Actuellement, il n’existe aucune méthode pour installer Gimp 2.8 sur une version inférieure à 12.04.

En termes de est-ce possible ...

Peu probable pour la raison suivante:

Les dépendances des dernières versions de Gimp nécessitent un grand nombre des dernières bibliothèques sous-jacentes que vous ne trouverez pas par défaut dans les versions inférieures à 12.04. Vous devrez donc recompiler et réécrire des parties du code pour le compiler. Plus on s'éloigne de 12.04, plus le changement est important.

Un responsable du paquet Gimp (ppa: matthaeus123 / mrw-gimp-svn) mentionne dans la description qu'il a besoin de la dernière version de PNA Gnome-3 , ainsi que d'autres bibliothèques de tests . Les deux ne seront pas installés sur les environnements gnome-2 (ci-dessous 11.10). En regardant les listes de dépendances pour la version 12.04 de Gimp, celles-ci ne sont pas non plus disponibles en 11.10.

Sera-t-il disponible dans un PPA pour les versions inférieures à 12.04? Il est probablement prudent de dire peu probable à moins qu’il n’y ait un développeur entreprenant qui souhaiterait porter cela à ce sujet.

Jusque-là, UbuntuForums contient un sujet intéressant sur la compilation à partir des sources.

Ainsi, si vous voulez absolument Gimp 2.8, essayez d'installer 12.04 + l'un de ses nombreux environnements de bureau.

    
réponse donnée fossfreedom 05.05.2012 - 14:27
la source
6

Fort heureusement, la disponibilité de GIMP 2.8 stable a également facilité l’installation du registre de plug-in gimp (avec le fameux plugin Enregistrer pour le Web).

Via lien :

Installation stable de GIMP 2.8

Si vous effectuez une mise à niveau à partir d’une ancienne version de GIMP, visitez le lien et faites attention à la commande 'dist-upgrade' lien (également si vous voulez revenir à GIMP 2.6.x)

Si vous installez GIMP pour la première fois sur votre installation système actuelle:

sudo add-apt-repository ppa:otto-kesselgulasch/gimp
sudo apt-get update
sudo apt-get install gimp

Registre GIMP Plugin pour l’installation de GIMP 2.8

lien

sudo add-apt-repository ppa:otto-kesselgulasch/gimp
sudo apt-get update
sudo apt-get install gimp-plugin-registry
    
réponse donnée Bucic 30.05.2012 - 21:00
la source
6

Ubuntu 14.04 et ultérieur

Pour installer la dernière version stable de GIMP en tant que composant logiciel enfichable dans toutes les versions actuellement prises en charge d'Ubuntu, ouvrez le terminal et tapez:

sudo snap install gimp

Notes

  1. Si vous avez besoin d’une version plus récente que la dernière version stable (par exemple, GIMP 2.10.2 au lieu de GIMP 2.10.0), installez-la à partir du canal edge .

    sudo snap install gimp --edge
    
  2. Si vous avez besoin de GIMP pour accéder à un support externe (tel qu'un lecteur flash USB, une carte SD / MicroSD, un disque dur supplémentaire, etc.), exécutez la commande suivante:

    sudo snap connect gimp:removable-media
    
$ sudo snap connect gimp:removable-media
$ snap interfaces gimp
Slot              Plug
:desktop          brave,gimp,notepad-plus-plus,notepadqq,simplenote
:desktop-legacy   brave,gimp,notepad-plus-plus,notepadqq
:gsettings        brave,gimp,notepadqq,simplenote
:home             brave,gimp,notepad-plus-plus,notepadqq,simplenote
:opengl           brave,gimp,notepad-plus-plus,notepadqq,notes,simplenote,sudoku-game
:removable-media  gimp,notepad-plus-plus,notepadqq
:unity7           brave,gimp,notepadqq,notes,simplenote,sudoku-game
:wayland          brave,gimp,notepad-plus-plus,simplenote
:x11              gimp,notepad-plus-plus,notepadqq,simplenote,sudoku-game
-                 gimp:cups-control

    
réponse donnée karel 15.06.2018 - 14:16
la source
3

Soutenons ce projet.

lien

Je peux télécharger gimp2.9 et ouvrir un fichier rejeté par les versions antérieures de Gimp. Et j'utilise toujours Ubuntu 10.04 Lucid.

Ceci est vraiment un casse-tête avec les systèmes Linux, car vous devez mettre à niveau tout votre système pour pouvoir exécuter les dernières applications. J'espère que cela sera bientôt résolu et j'espère que nous soutiendrons des projets comme celui-ci.

Je suis content de mon ubuntu 10.04 et j'ai beaucoup de configurations ici et de fichiers de développement ... il faudra peut-être attendre 2016 pour mettre à jour lol!

    
réponse donnée nbjayme 24.02.2014 - 07:38
la source
2

Pour obtenir GIMP 2.8 sur Lucid 10.04.4, regardez ceci:

lien

    
réponse donnée AC2 18.05.2012 - 09:47
la source
1

Ubuntu 16.10

apt install gimp

Assez facile maintenant.

    
réponse donnée Azuaron 07.04.2017 - 14:59
la source
0

Ubuntu 16.10

Dans Ubuntu 16.10, vous pouvez facilement l’installer depuis le terminal avec la commande suivante:

sudo apt install gimp

Pour mettre à niveau une installation existante de gimp, exécutez la commande suivante dans le terminal:

sudo apt update && apt upgrade -y

Si vous souhaitez désinstaller gimp mais conserver les paramètres (par exemple, si vous prévoyez de le réinstaller ultérieurement), exécutez la commande suivante dans le terminal:

sudo apt remove gimp

Si vous souhaitez désinstaller gimp et supprimer des paramètres, exécutez la commande suivante dans le terminal:

sudo apt purge gimp

    
réponse donnée Ken 07.04.2017 - 16:25
la source
0

Réponse à partir de juin 2018, si vous voulez Gimp 2.10

Pour Ubuntu 17.10 et ultérieur:

Ajoutez le PPA: lien et plusieurs paquets seront mis à jour à partir de celui-ci, notamment Gimp lui-même, et gimp-plugin-registry qui contient plusieurs plug-ins utiles (resynthèse, etc ...) qui sont beaucoup plus faciles à installer de cette manière. Si vous ne connaissez pas 17.04, ce PPA vous donnera Gimp 2.8.22.

Pour les anciennes versions (notamment 16.04):

  • La manière officielle: vous installez une version "flatpak", qui est une application possédant son propre ensemble de bibliothèques dépendantes. Les instructions sont disponibles sur la page de téléchargement de Gimp .
  • La manière non officielle: vous installez un "AppImage" (qui est une autre façon de "conteneuriser" l'application). Il existe plusieurs générateurs pour cela, une version est ici .

Les deux méthodes ont leurs restrictions, en particulier il peut être difficile d’ajouter vos plug-ins compilés préférés (les plug-ins script-fu et python sont généralement corrects).

    
réponse donnée xenoid 16.06.2018 - 09:53
la source
-1

ce PPA fonctionne pour moi et il vous donnera la dernière version disponible Note: ceci peut aussi avoir une version encore en développement

sudo add-apt-repository ppa:otto-kesselgulasch/gimp-edge

aussi vous pouvez aller pour les autres étapes ici

sudo apt-get update
sudo apt-get install gimp -y

cela affichera la version actuelle de gimp

sudo gimp --version
    
réponse donnée Mohammed Omer 10.05.2018 - 07:55
la source

Lire d'autres questions sur les étiquettes